<!-- Based on fast/repaint/subtree-root-clip-3.html -->
<html>
<head>
    <script src="resources/paint-invalidation-test.js"></script>
    <script>
        window.expectedPaintInvalidationObjects = [
            "LayoutBlockFlow DIV",
            "LayoutBlockFlow DIV id='target'",
        ];
        function paintInvalidationTest()
        {
            document.getElementById("target").style.width = "100px";
        }
    </script>
</head>
<body onload="runPaintInvalidationTest()">
<table>
    <tr>
        <td style="height: 200px;"></td>
        <td>
            <div style="height: 100px; width: 100px; overflow: hidden; background-color: red;">
                <div id="target" style="height: 100px; width: 0; background-color: green;"></div>
            </div>
        </td>
    </tr>
</table>
</body>
</html>
